Bug 808484 - epiphany should depend on nspluginwrapper
epiphany should depend on nspluginwrapper
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 10:03 EDT by Nathaniel McCallum
Modified: 2013-07-31 20:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:28:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathaniel McCallum 2012-03-30 10:03:00 EDT
While not strictly required by epiphany, adding this dependency will provide the proper user experience. This dependency can be removed when WebKit2 is merged (hopefully 3.6).
Comment 1 Martin Stransky 2012-03-30 10:17:05 EDT
Why do you want to have such dependency?
Comment 2 Nathaniel McCallum 2012-03-30 10:49:10 EDT
Any plugins built against gtk2 will crash epiphany. The main offender here is flash, but there may be others. nspluginwrapper allows the plugins to work transparently.
Comment 3 Martin Stransky 2012-03-30 11:08:42 EDT
Why any gtk2 plugin crashes epiphany? Is epiphany linked against gtk3? Or is there any other reason for the crashes?
Comment 4 Nathaniel McCallum 2012-04-02 09:42:28 EDT
Yes, epiphany is linked agianst gtk3. Any plugin using gtk2 will result in symbol resolution problems (aka crash) unless nspluginwrapper is used to move the plugins out of process. When WebKit2 is merged (hopefully for Fedora 19), Epiphany will do out of process plugins by default and nspluginwrapper will no longer be needed to prevent crashes.
Comment 5 Peter Hatina 2012-07-10 02:44:58 EDT
Even having the nspluginwrapper as a dependency, it does not solve the need of manual running npconfig to wrap all the existing plugins. Yes, it can be done in post-phase of an rpm installation, but what if you install some other plugins later? You have to run npconfig again.
Comment 6 Martin Stransky 2012-07-11 02:44:23 EDT
We run the plugin configuration in firefox start script, look at /usr/bin/firefox.
Comment 7 Fedora End Of Life 2013-07-03 18:30:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 20:28:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.